Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAMEC.h File Reference

CONV_FRAMEC.h,v 1.13 2001/07/06 00:45:06 crodrigu Exp. More...

`#include "ace/pre.h"`
`#include "tao/CDR.h"`
`#include "tao/Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for CONV_FRAMEC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CONV_FRAME
## Compounds
struct | CONV_FRAME::CodeSetComponent
struct | CONV_FRAME::CodeSetComponentInfo
struct | CONV_FRAME::CodeSetContext
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CH_
#define | _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CH_
#define | _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID___VAR_CH_
#define | _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID___OUT_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const CONV_FRAME::CodeSetComponent &)
TAO_Export void | operator<<= (CORBA::Any &, CONV_FRAME::CodeSetComponent *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CONV_FRAME::CodeSetComponent *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CONV_FRAME::CodeSetComponent *&)
TAO_Export void | operator<<= (CORBA::Any &, const CONV_FRAME::CodeSetComponentInfo &)
TAO_Export void | operator<<= (CORBA::Any &, CONV_FRAME::CodeSetComponentInfo *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CONV_FRAME::CodeSetComponentInfo *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CONV_FRAME::CodeSetComponentInfo *&)
TAO_Export void | operator<<= (CORBA::Any &, const CONV_FRAME::CodeSetContext &)
TAO_Export void | operator<<= (CORBA::Any &, CONV_FRAME::CodeSetContext *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CONV_FRAME::CodeSetContext *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CONV_FRAME::CodeSetContext *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponent &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponent &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponentInfo &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponentInfo &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetContext &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetContext &)

## Detailed Description

CONV_FRAMEC.h,v 1.13 2001/07/06 00:45:06 crodrigu Exp.

Generated from CONV_FRAME.pidl, that contains the OMG standarized CONV_FRAME module. The code was generated by the IDL compiler and then hand-crafted to reduce the includes interdependencies.

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CH_

#define _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID___OUT_CH_

#define _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID___VAR_CH_

#define _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetContext & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponentInfo & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponent & | _tao_aggregate
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetContext * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CONV_FRAME::CodeSetContext & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetComponentInfo * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CONV_FRAME::CodeSetComponentInfo & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetComponent * | _tao_elem
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CONV_FRAME::CodeSetComponent & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetContext & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponentInfo & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponent & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CONV_FRAME::CodeSetContext *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetContext *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CONV_FRAME::CodeSetComponentInfo *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetComponentInfo *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CONV_FRAME::CodeSetComponent *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CONV_FRAME::CodeSetComponent *& | _tao_elem
| ) |